For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • DELDelete the custom field value from Worker by Id
      • GETGet custom field from people by id
      • GETList all people custom fields
      • GETRetrieve custom fields for a worker
      • PUTUpdate custom field value
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsCustom Fields People

Delete the custom field value from Worker by Id

DELETE
/people/:worker_id/custom_fields/:id
DELETE
/rest/v2/people/:worker_id/custom_fields/:id
$curl -X DELETE https://api.letsdeel.com/rest/v2/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{}

Removes a specific custom field value from a worker record by the custom field’s ID. Token scopes: people:write

Was this page helpful?
Previous

Get custom field from people by id

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequiredformat: "uuid"
Custom field id.
worker_idstringRequiredformat: "uuid"
Worker id.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/